### Function

# Dex proxy_connect

unstable since: 1.2

#### Declaration [src]

    DexFuture*
    dex_proxy_connect (
      GProxy* proxy,
      GIOStream* connection,
      GProxyAddress* proxy_address
    )

#### Description [src]

Wraps `g_proxy_connect_async()`.

Available since: 1.2

#### Parameters

`proxy`

  Type: `GProxy`

  A `GProxy`.

  The data is owned by the caller of the function.

`connection`

  Type: `GIOStream`

  A `GIOStream`.

  The data is owned by the caller of the function.

`proxy_address`

  Type: `GProxyAddress`

  A `GProxyAddress`.

  The data is owned by the caller of the function.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `GIOStream` or rejects with error.

The caller of the function takes ownership of the data, and is responsible for freeing it.